---
features:
  secondary:
    - name: S/MIME Signature Verification of Commits
      available_in:
        - core
        - starter
        - premium
        - ultimate
      gitlab_com: true
      documentation_link: https://docs.gitlab.com/ee/user/project/repository/x509_signed_commits/
      image_url: "/images/unreleased/x509-signing.png"
      reporter: jramsay
      stage: create
      categories:
        - Source Code Management
      issue_url: https://gitlab.com/gitlab-org/gitlab/issues/29782
      description: |
        Every commit in a Git repository has an author, but this is not
        verified by Git, and means that it is easy to create commits that appear
        to be authored by someone else. Commit signing allows you to prove that
        you are the author of the commit. This is important for sensitive
        projects and in some commercial environments.

        In Git 2.19, OpenGPG signing and verification support was extended to
        include support for S/MIME using X.509 certificates, because managing
        these certificates is more friendly for large organizations.

        GitLab now also supports S/MIME Signature Verification of commits,
        thanks to [Roger Meier](https://gitlab.com/bufferoverflow) from
        Siemens! Further thanks go to [Henning
        Schild](https://public-inbox.org/git/20180706011834.GD7697@genre.crustytoothpaste.net/),
        also from Siemens for contributing this feature to Git!
